Opened 5 years ago

Closed 5 years ago

#16 closed defect (fixed)

DaniS506.ADD versions 1.8.12 and 1.8.14 result in "unable to operate harddrive"

Reported by: erdmann Owned by: stevenhl
Priority: major Milestone: Release-1.8.14
Component: danis506.add Version: 1.8.12
Keywords: Cc: erdmann, david@…, steve53@…

Description

on two different partitions on the same system, when I replace a working 1.8.9 driver of DaniS506.ADD against version 1.8.14 (from David) I get message "unable to operate harddrive". Find attached PCI info of the system.

Attachments (5)

report.txt (36.6 KB) - added by erdmann 5 years ago.
PCI info
DANIS506.txt (956 bytes) - added by erdmann 5 years ago.
/V output for a working driver (1.8.9, 1.8.11)
reports.zip (3.7 KB) - added by erdmann 5 years ago.
report files
reportdani189.trc (2.1 KB) - added by erdmann 5 years ago.
reportdani1814.trc (2.1 KB) - added by erdmann 5 years ago.

Download all attachments as: .zip

Change History (21)

Changed 5 years ago by erdmann

PCI info

comment:1 Changed 5 years ago by stevenhl

Does adding the /V switch to the BASEDEV statement provide any output? Is so, please attach a screen shot.

Have you tried any of the interim builds such as 1.8.11 or 1.8.12?

comment:2 Changed 5 years ago by erdmann

  • Cc erdmann added

Changed 5 years ago by erdmann

/V output for a working driver (1.8.9, 1.8.11)

comment:3 Changed 5 years ago by erdmann

1.8.12: same error as with 1.8.14
1.8.11: works fine, just like 1.8.9

Sorry I don't have a camera at hand but I can say this:
for driver versions 1.8.12 and 1.8.14, only Controller:1 (Adapter 1) and its attached units show up.
Therefore, none of the units of Controller:0 (Adapter 0) show up. My harddrive "ST3120023A" is connected to Controller:0 ...

comment:4 Changed 5 years ago by erdmann

  • Milestone changed from Release-1.8.12 to Release-1.8.13
  • Summary changed from DaniS506.ADD version 1.8.14 results in "unable to operate harddrive" to DaniS506.ADD versions 1.8.12 and 1.8.14 results in "unable to operate harddrive"
  • Version changed from 1.8.13 to 1.8.12

comment:5 Changed 5 years ago by erdmann

  • Summary changed from DaniS506.ADD versions 1.8.12 and 1.8.14 results in "unable to operate harddrive" to DaniS506.ADD versions 1.8.12 and 1.8.14 result in "unable to operate harddrive"

comment:6 Changed 5 years ago by dazarewicz

  • Cc david@… added

comment:7 Changed 5 years ago by stevenhl

Please review problem.txt and see the section that discusses how to use /DEBUG:-31 to collect data. Attach the requested data t the ticket.

comment:8 Changed 5 years ago by stevenhl

  • Cc steve53@… added

comment:9 Changed 5 years ago by erdmann

AS I said, I cannot boot.
How do you create a bootable floppy ?
How do I create a bootable CD-ROM ?

Or am I able to somehow load a different DANIS506.ADD when booting from my eComStation CD-ROM ?

Changed 5 years ago by erdmann

report files

comment:10 Changed 5 years ago by erdmann

find attached the requested information.

In my box of old floppy disks, I found an old set of Warp3 boot diskettes which I augmented with the 1.8.14 DANIS506.ADD driver and booted with this set of disks. When I booted from this set of diskettes I was subsequently able to access my hard disk with the 1.8.14 DANIS506.ADD driver.

That can only mean one of 2 things:
1) there is some problem in the interaction of DANIS506.ADD with later kernel versions
2) 1.8.14 has problems in supporting booting from a DANIS506.ADD managed medium.

In order to rule out 1) I will need to create a set of boot diskettes from my eComStation 2.1 installation CD-ROMs so that I have an up-to-date kernel.

Additional note: the old Warp3 boot diskettes contained DANIDASD.DMD (version 1.0) , an old IBMINT13.I13 (version 8.157) and obviously an old Warp3 kernel. DANIS506.ADD and IBMINT13.I13 are loaded via config.sys.

Last edited 5 years ago by erdmann (previous) (diff)

comment:11 Changed 5 years ago by erdmann

Sorry but it is completely impossible to create a set of boot diskettes that can be modified with a new DANIS506.ADD nor is it possible to use BOOT_UPD.DSK to overload the driver with a newer copy:

1) if I create a set of boot diskettes, all files are compressed in the .PF files. I cannot individually modify files
2) if I create a disk from BOOT_UPD.DSK and if I copy DANIS506.ADD onto that disk then, after making installation choices, the install process will continuously ask to enter eComStation CD-ROM even though it's already in the drive

comment:12 Changed 5 years ago by erdmann

Version "danis506-1.8.14-shl-20130405-1304.zip" of your driver fixes my boot problem. Roderick sent it to me. You must have change something compared to David's version 1.8.14.

Something related to boot ...

comment:13 Changed 5 years ago by erdmann

  • Resolution set to fixed
  • Status changed from new to closed

comment:14 Changed 5 years ago by stevenhl

  • Resolution fixed deleted
  • Status changed from closed to reopened

For the record, I would like to see the output of danis 1.8.9 and danis 1.8.14 from danis506-1.8.14-shl-20130405-1304.zip run with the

/DEBUG:-31

switch.

Thanks,

Changed 5 years ago by erdmann

Changed 5 years ago by erdmann

comment:15 Changed 5 years ago by erdmann

Find the reports attached.

comment:16 Changed 5 years ago by stevenhl

  • Resolution set to fixed
  • Status changed from reopened to closed

Corrected by changeset @112

Note: See TracTickets for help on using tickets.